# $Revision: 1.16 $, $Date: 2004/08/08 16:16:56 $
Summary:	Antispam utility
Summary(pl):	Narzdzie antyspamowe
Name:		mailfilter
Version:	0.6.2
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	0c03ef7f9ff214b034eaaf68515610aa
Source1:	%{name}-pl.po
Patch0:		%{name}-home_etc.patch
URL:		http://mailfilter.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer 

%description
Mailfilter is a flexible utility for Unix (-like) operating systems to
get rid of unwanted spam mails, before having to go through the
trouble of downloading them into the local computer. It offers support
for one or many POP3 accounts and is especially useful for dialup
connections via modem, ISDN, etc.
Mailfilter connects to any POP3 mail box and compares part of its
content to a set of user defined filter rules. That way the spam gets
deleted directly on the mail server.

%description -l pl
Mailfilter jest elastycznym narzdziem dla systemw UNIXopodobnych,
sucym do pozbywania si niechcianego spamu przed pobraniem go na
lokalny komputer z sieci. Obsuguje wiele kont POP3 i jest nadzwyczaj
uyteczny dla pocze wdzwanianych przez modem, ISDN etc.
Mailfilter czy si z kontem POP3 i porwnuje czci jego zawartoci
z zestawem reguek zdefiniowanych przez uytkownika. W ten sposb spam
zostaje usunity bezporednio na serwerze pocztowym.

%prep
%setup -q
%patch0 -p1
install %{SOURCE1} po/pl.po

%build
rm -f missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5}}

make install DESTDIR=$RPM_BUILD_ROOT
install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install man/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
mv -f doc/api/man/man3 $RPM_BUILD_ROOT%{_mandir}
rm -rf doc/api/man

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS THANKS TODO doc/{api,Doxyfile,FAQ,rcfile.example{1,2},supported_servers}
%lang(it) %doc doc/rcfile.example1.it
%lang(ru) %doc doc/rcfile.example2.ru
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailfilter.spec,v $
Revision 1.16  2004/08/08 16:16:56  adamg
- updated to 0.6.2

Revision 1.15  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.14  2004/02/15 00:28:44  adamg
- updated to 0.6.1

Revision 1.13  2003/11/19 23:10:34  witekfl
- added home_etc.patch
- rel 2

Revision 1.12  2003/11/04 17:06:47  andree
- updated to 0.6 (leave gotar's translation)
- remove Patch0 (included in new version)

Revision 1.11  2003/10/26 14:00:01  arekm
- updated to 0.5.2

Revision 1.10  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/23 22:07:37  gotar
- added polish translations,
- release 2.

Revision 1.8  2003/07/19 21:28:17  gotar
- upgraded to 0.5.1,
- removed outdated aclocal patch.

Revision 1.7  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.6  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.5  2003/05/28 12:59:40  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/31 13:43:55  gotar
- fixed source URLs (Czech mirror)

Revision 1.2  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.1  2002/12/18 18:57:04  gotar
- initial PLD release, STBR.
